/**
 * <copyright>
 * </copyright>
 *
 * $Id: CustomizeableField.java 9392 2012-04-23 21:23:21Z hoenninger $
 */
package org.openxma.dsl.pom.model;

import org.eclipse.emf.common.util.EList;
import org.openxma.dsl.core.model.BoolLiteral;
import org.openxma.dsl.core.model.Constraint;
import org.openxma.dsl.core.model.ValidatorReference;
import org.openxma.dsl.dom.model.Attribute;
import org.openxma.dsl.dom.model.PresentableFeature;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Customizeable Field</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getControlType <em>Control Type</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getParts <em>Parts</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getMultiLine <em>Multi Line</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getConstraints <em>Constraints</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getFormat <em>Format</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.CustomizeableField#getTextProperties <em>Text Properties</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField()
 * @model
 * @generated
 */
public interface CustomizeableField extends IGuiElementWithEvent, IField, SimpleElement, IReferenceableByStatementVariable {
	/**
	 * Returns the value of the '<em><b>Control Type</b></em>' attribute.
	 * The literals are from the enumeration {@link org.openxma.dsl.pom.model.ControlType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Control Type</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Control Type</em>' attribute.
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @see #setControlType(ControlType)
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_ControlType()
	 * @model
	 * @generated
	 */
	ControlType getControlType();

	/**
	 * Sets the value of the '{@link org.openxma.dsl.pom.model.CustomizeableField#getControlType <em>Control Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Control Type</em>' attribute.
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @see #getControlType()
	 * @generated
	 */
	void setControlType(ControlType value);

	/**
	 * Returns the value of the '<em><b>Parts</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.dsl.pom.model.FieldPartSpecification}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Parts</em>' attribute list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Parts</em>' containment reference list.
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_Parts()
	 * @model containment="true"
	 * @generated
	 */
	EList<FieldPartSpecification> getParts();

	/**
	 * Returns the value of the '<em><b>Multi Line</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Multi Line</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Multi Line</em>' containment reference.
	 * @see #setMultiLine(BoolLiteral)
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_MultiLine()
	 * @model containment="true"
	 * @generated
	 */
	BoolLiteral getMultiLine();

	/**
	 * Sets the value of the '{@link org.openxma.dsl.pom.model.CustomizeableField#getMultiLine <em>Multi Line</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Multi Line</em>' containment reference.
	 * @see #getMultiLine()
	 * @generated
	 */
	void setMultiLine(BoolLiteral value);

	/**
	 * Returns the value of the '<em><b>Constraints</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.dsl.core.model.Constraint}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Constraints</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Constraints</em>' containment reference list.
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_Constraints()
	 * @model containment="true"
	 * @generated
	 */
	EList<Constraint> getConstraints();

	/**
	 * Returns the value of the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Format</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Format</em>' containment reference.
	 * @see #setFormat(ValidatorReference)
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_Format()
	 * @model containment="true"
	 * @generated
	 */
	ValidatorReference getFormat();

	/**
	 * Sets the value of the '{@link org.openxma.dsl.pom.model.CustomizeableField#getFormat <em>Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Format</em>' containment reference.
	 * @see #getFormat()
	 * @generated
	 */
	void setFormat(ValidatorReference value);

	/**
	 * Returns the value of the '<em><b>Text Properties</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.dsl.pom.model.TextProperty}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Text Properties</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Text Properties</em>' containment reference list.
	 * @see org.openxma.dsl.pom.PomPackage#getCustomizeableField_TextProperties()
	 * @model containment="true"
	 * @generated
	 */
	EList<TextProperty> getTextProperties();

	/**
     * @modified
     * @return the label text for the field
     */
    public String getLabelText();
    
    /**
     * @modified
     * @return the label text for the field
     */
    public String getTooltipText();    
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public String getUnitText();
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getUnitAttribute();	
    
    /**
     * @modified
     * @return the unit object for the field
     */    
    public Object getUnitObject(); 
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getAttribute();
    
    /**
     * @modified
     * @return the unit text for the field
     */    
	public PresentableFeature getAttributeHolder();   

} // CustomizeableField
